Overview
POST
/system/feature-flagssystemCreate a feature flag (admin)
Create a record in feature-flags.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- keystring
- descriptionoptionalstring
- enabledoptionalboolean
Example
{
"key": "string",
"description": "string",
"enabled": true
}Responses
201
Created flag
- idinteger
- keystring
- descriptionstring
- enabledboolean
- createdAtstring
- updatedAtstring
Example
{
"id": 0,
"key": "string",
"description": "string",
"enabled": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/system/feature-flags" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"description": "string",
"enabled": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/system/feature-flags", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"key\": \"string\",\n \"description\": \"string\",\n \"enabled\": true\n}",
});
const data = await res.json();